FIX Adapter

7.17.71.1 (win64)

Released: Mar 13, 2015 File Size: 0
Package Contents:
No notes available.

Important Notes

Why Should I Upgrade?

FIX Adapter 7.17.70 or higher is required to implement Market Data Product Group Permissions for FIX Adapters running in MultiBroker *only*.

System Requirements

FIX Adapter 7.17.70 or higher is required to implement Market Data Product Group Permissions for FIX Adapters running in MultiBroker *only*.

Installation Notes

  1. Upgrades
    1. If upgrading from a 7.8.x Order Routing FIX Adapter to a 7.17.x FIX Adapter version with more than one FIX client user that is configured with a Synthetic SE gateway login, all previously submitted staged orders must be deleted and each FIX client user must be configured with the same direct trader Synthetic SE gateway login prior to upgrading. Additionally, each X_TRADERĀ® user that shares the order book with those FIX client users must be configured with the same direct trader Synthetic SE gateway login.

    2. Upgrades from pre-7.8.x versions of FIX Adapter must take place over a weekend and sessions must be reset prior to the first startup after the upgrade. Historical fills from before the upgrade will be unavailable.

    3. If your current FIX Adapter is 32-bit running on a 64-bit operating system and you would like to upgrade to the 64-bit FIX Adapter, you must uninstall your existing version and perform a clean install of the 64-bit version.

    4. Customers should contact their Technical Account Manager for data migration assistance prior to upgrading from FIX Adapter versions prior to 7.6.0.

Enhancements

Fixes

  1. General
    1. Fixed an issue where FIX Adapter sometimes failed to login a FIX Client. (Ref 230307)

Known Issues